=== debian/changelog ===
asyncio-dgram (2.2.0-3) unstable; urgency=medium

  * No longer depend on deprecated module python3-pkg-resources.
    (Closes: #1083307)
  * Move from Python team to Home Assistant team.
  * Move packages required for tests to Build-Depends-Indep.
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Sun, 16 Feb 2025 20:01:32 -0500

asyncio-dgram (2.2.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 31 Jul 2024 09:39:44 +0900

asyncio-dgram (2.2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1076765)

 -- Edward Betts <edward@4angle.com>  Tue, 23 Jul 2024 21:28:58 +0900
