=== debian/control ===
Source: asyncio-dgram
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/jsbronder/asyncio-dgram
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/asyncio-dgram
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/asyncio-dgram.git

Package: python3-asyncio-dgram
Architecture: all
Depends:
 ${misc:Depends},
 python3:any,
Description: Enhanced Datagram protocol support for Asyncio
 This package offers advanced Datagram protocol support tailored for Asyncio,
 inspired by suggestions for a more intuitive approach to handling datagrams
 in Python. It simplifies the use of datagrams by providing high-level
 operations that eliminate the repetitive need to extend
 `asyncio.DatagramProtocol` for common use cases.
 .
 The design philosophy is to streamline datagram-based communication by
 offering a straightforward API that diverges from the broader, sometimes
 cumbersome, options provided by native asyncio. It includes easy-to-use
 functions for connecting to a specific endpoint, binding to an address to
 receive data from any source, and integrating with existing sockets for
 custom configurations.
 .
 Ideal for applications looking to implement network communication where UDP
 is involved, it facilitates quick and efficient setup of UDP servers and
 clients, supports voice/video streaming services, or lightweight IoT
 protocols, all without the lower-level intricacies of socket programming.
