=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS=-k "not test_protocol_pause_resume"

%:
	dh $@ --buildsystem=pybuild
