=== debian/watch ===
version=4
https://github.com/jsbronder/asyncio-dgram/tags .*/v?(\d\S+)\.tar\.gz
