=== debian/changelog ===
asyncio-dgram (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Upstream switched build system from setuptools to hatchling.
  * Switch to autopkgtest-pkg-pybuild.
  * Switch to pybuild-plugin-pyproject.
  * Remove 'Priority: optional', now the default.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update Standards-Version.
  * Update copyright year.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Sun, 25 Jan 2026 14:10:12 +0000
