=== debian/control ===
--- 
+++ 
@@ -3,26 +3,26 @@
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
- python3-setuptools,
+ python3-hatchling,
 Build-Depends-Indep:
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/jsbronder/asyncio-dgram
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/asyncio-dgram
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/asyncio-dgram.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-asyncio-dgram
 Architecture: all
 Depends:
+ python3:any,
  ${misc:Depends},
- python3:any,
 Description: Enhanced Datagram protocol support for Asyncio
  This package offers advanced Datagram protocol support tailored for Asyncio,
  inspired by suggestions for a more intuitive approach to handling datagrams
