=== debian/watch ===
Version: 5

Template: GitHub
Owner: jsbronder
Project: asyncio-dgram
